Skip to content

Map a line item to an instance

Request

Maps a line item to an instance. The first time this API is called, the payload details will be stored, and reported in a GET line-item request. If the line item is already mapped, then the details stored will be entirely replaced.

This method is intended for use if you do not use FlexNet Operations as your back office, so that you can configure your upstream system (e.g. a CRM or back office) to create line items in Dynamic Monetization for your end customers. (If you use FlexNet Operations as your back office, but use this method directly to provision line items that do not exist in FlexNet Operations, then those line items will not be reflected in FlexNet Operations.)

Security
AdministrationAccess
Path
instanceIdstring, (uuid)required

The UUID of the Dynamic Monetization instance.

Bodyapplication/jsonrequired
activationIdstringrequired

The activation ID of a line item that should be mapped to the instance.

statestring(LineItemState)required

The line item state. Valid states are:

  • DEPLOYED
  • INACTIVE
  • OBSOLETE

INACTIVE and OBSOLETE can only be set when the line item already exists.
An OBSOLETE line item cannot be set to INACTIVE or DEPLOYED.

quantityinteger, (int64), >= 1required

The quantity from the line item to map to the instance.

startinteger, (int64)required

The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the line item starts.

endinteger, (int64)required

The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the line item ends.

attributesobject(Attributes)required

The properties that determine how the service will respond to access requests.

curl -i -X PUT \
  'https://siteID.flexnetoperations.com/dynamicmonetization/provisioning/api/v1.1/instances/{instanceId}/line-items' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "activationId": "string",
    "state": "string",
    "quantity": 1,
    "start": 0,
    "end": 0,
    "attributes": {
      "elastic": false,
      "rateTableSeries": "",
      "overdraftLimit": 0,
      "overdraftType": "string",
      "resetFrequency": "P1M"
    }
  }'

Responses

Returned when a line item is successfully updated.